Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.endeca.portal.data.functions
Enum RangeFilter.RangeOperator

    java.lang.Object
      java.lang.Enum<RangeFilter.RangeOperator>
          com.endeca.portal.data.functions.RangeFilter.RangeOperator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RangeFilter.RangeOperator>

Enclosing class:
  RangeFilter

    public static enum RangeFilter.RangeOperator

extends java.lang.Enum<RangeFilter.RangeOperator>

Specifies the operator used in this `RangeFilter` Valid RangeOperators are LT: Less than LTEQ: Less than or equal to GT: Greater than GTEQ: Greater than or equal to BTWN: Between (inclusive) GCLT: Geocode less than (non-inclusive) GCGT: Geocode greater than (non-inclusive) CGBTWN: Geocode beween (inclusive)

Enum Constant Summary
`BTWN`
`GCBTWN`
`GCGT`
`GCLT`
`GT`
`GTEQ`
`LT`
`LTEQ`

Method Summary
`int` | `getNumArgs()`
`static RangeFilter.RangeOperator` | `parseOperator(java.lang.String operator)` Returns the `RangeFilter.RangeOperator` associated with the given string, if one exists.
`static RangeFilter.RangeOperator` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RangeFilter.RangeOperator[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LT

    public static final RangeFilter.RangeOperator LT

### LTEQ

    public static final RangeFilter.RangeOperator LTEQ

### GT

    public static final RangeFilter.RangeOperator GT

### GTEQ

    public static final RangeFilter.RangeOperator GTEQ

### BTWN

    public static final RangeFilter.RangeOperator BTWN

### GCLT

    public static final RangeFilter.RangeOperator GCLT

### GCGT

    public static final RangeFilter.RangeOperator GCGT

### GCBTWN

    public static final RangeFilter.RangeOperator GCBTWN

Method Detail

### values

    public static final RangeFilter.RangeOperator[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(RangeFilter.RangeOperator c : RangeFilter.RangeOperator.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static RangeFilter.RangeOperator valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getNumArgs

    public int getNumArgs()

  Returns:
    the number of arguments associated with this `RangeFilter.RangeOperator`

### parseOperator

    public static RangeFilter.RangeOperator parseOperator(java.lang.String operator)
                                                   throws RangeFilter.RangeOperatorNotSupportedException

  Returns the `RangeFilter.RangeOperator` associated with the given string, if one exists.

  Parameters:
    `string` - representing the type of `RangeFilter.RangeOperator`
  Returns:
    RangeOperator
  Throws:
    `RangeFilter.RangeOperatorNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD